#include <soprano_includes.h>

#include <smoke.h>
#include <sopranoclient_smoke.h>

namespace __smokesopranoclient {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QBool
      switch(to) {
        case 1: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 2:   //QChildEvent
      switch(to) {
        case 2: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 3:   //QEvent
      switch(to) {
        case 3: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QHostAddress
      switch(to) {
        case 5: return (void*)(QHostAddress*)xptr;
        default: return xptr;
      }
    case 6:   //QMetaObject
      switch(to) {
        case 6: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 7:   //QObject
      switch(to) {
        case 7: return (void*)(QObject*)xptr;
        case 19: return (void*)(Soprano::Client::SparqlModel*)(QObject*)xptr;
        case 20: return (void*)(Soprano::Client::TcpClient*)(QObject*)xptr;
        case 13: return (void*)(Soprano::Client::DBusClient*)(QObject*)xptr;
        case 14: return (void*)(Soprano::Client::DBusModel*)(QObject*)xptr;
        case 18: return (void*)(Soprano::Client::LocalSocketClient*)(QObject*)xptr;
        default: return xptr;
      }
    case 8:   //QRegExp
      switch(to) {
        case 8: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 9:   //QTextStream
      switch(to) {
        case 9: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 10:   //QTimerEvent
      switch(to) {
        case 10: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 11:   //Soprano::Backend
      switch(to) {
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Backend*)xptr;
        case 11: return (void*)(Soprano::Backend*)xptr;
        default: return xptr;
      }
    case 12:   //Soprano::BackendSetting
      switch(to) {
        case 12: return (void*)(Soprano::BackendSetting*)xptr;
        default: return xptr;
      }
    case 13:   //Soprano::Client::DBusClient
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Client::DBusClient*)xptr;
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::DBusClient*)xptr;
        case 13: return (void*)(Soprano::Client::DBusClient*)xptr;
        default: return xptr;
      }
    case 14:   //Soprano::Client::DBusModel
      switch(to) {
        case 29: return (void*)(Soprano::StorageModel*)(Soprano::Client::DBusModel*)xptr;
        case 23: return (void*)(Soprano::Model*)(Soprano::Client::DBusModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Client::DBusModel*)xptr;
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::DBusModel*)xptr;
        case 14: return (void*)(Soprano::Client::DBusModel*)xptr;
        default: return xptr;
      }
    case 15:   //Soprano::Client::DBusNodeIterator
      switch(to) {
        case 25: return (void*)(Soprano::NodeIterator*)(Soprano::Client::DBusNodeIterator*)xptr;
        case 15: return (void*)(Soprano::Client::DBusNodeIterator*)xptr;
        default: return xptr;
      }
    case 16:   //Soprano::Client::DBusQueryResultIterator
      switch(to) {
        case 26: return (void*)(Soprano::QueryResultIterator*)(Soprano::Client::DBusQueryResultIterator*)xptr;
        case 16: return (void*)(Soprano::Client::DBusQueryResultIterator*)xptr;
        default: return xptr;
      }
    case 17:   //Soprano::Client::DBusStatementIterator
      switch(to) {
        case 28: return (void*)(Soprano::StatementIterator*)(Soprano::Client::DBusStatementIterator*)xptr;
        case 17: return (void*)(Soprano::Client::DBusStatementIterator*)xptr;
        default: return xptr;
      }
    case 18:   //Soprano::Client::LocalSocketClient
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Client::LocalSocketClient*)xptr;
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::LocalSocketClient*)xptr;
        case 18: return (void*)(Soprano::Client::LocalSocketClient*)xptr;
        default: return xptr;
      }
    case 19:   //Soprano::Client::SparqlModel
      switch(to) {
        case 23: return (void*)(Soprano::Model*)(Soprano::Client::SparqlModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::Client::SparqlModel*)xptr;
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::SparqlModel*)xptr;
        case 19: return (void*)(Soprano::Client::SparqlModel*)xptr;
        default: return xptr;
      }
    case 20:   //Soprano::Client::TcpClient
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Client::TcpClient*)xptr;
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Client::TcpClient*)xptr;
        case 20: return (void*)(Soprano::Client::TcpClient*)xptr;
        default: return xptr;
      }
    case 21:   //Soprano::Error::Error
      switch(to) {
        case 21: return (void*)(Soprano::Error::Error*)xptr;
        default: return xptr;
      }
    case 22:   //Soprano::Error::ErrorCache
      switch(to) {
        case 22: return (void*)(Soprano::Error::ErrorCache*)xptr;
        case 19: return (void*)(Soprano::Client::SparqlModel*)(Soprano::Error::ErrorCache*)xptr;
        case 20: return (void*)(Soprano::Client::TcpClient*)(Soprano::Error::ErrorCache*)xptr;
        case 13: return (void*)(Soprano::Client::DBusClient*)(Soprano::Error::ErrorCache*)xptr;
        case 14: return (void*)(Soprano::Client::DBusModel*)(Soprano::Error::ErrorCache*)xptr;
        case 18: return (void*)(Soprano::Client::LocalSocketClient*)(Soprano::Error::ErrorCache*)xptr;
        default: return xptr;
      }
    case 23:   //Soprano::Model
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Model*)xptr;
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Model*)xptr;
        case 23: return (void*)(Soprano::Model*)xptr;
        case 19: return (void*)(Soprano::Client::SparqlModel*)(Soprano::Model*)xptr;
        case 14: return (void*)(Soprano::Client::DBusModel*)(Soprano::Model*)xptr;
        default: return xptr;
      }
    case 24:   //Soprano::Node
      switch(to) {
        case 24: return (void*)(Soprano::Node*)xptr;
        default: return xptr;
      }
    case 25:   //Soprano::NodeIterator
      switch(to) {
        case 25: return (void*)(Soprano::NodeIterator*)xptr;
        case 15: return (void*)(Soprano::Client::DBusNodeIterator*)(Soprano::NodeIterator*)xptr;
        default: return xptr;
      }
    case 26:   //Soprano::QueryResultIterator
      switch(to) {
        case 26: return (void*)(Soprano::QueryResultIterator*)xptr;
        case 16: return (void*)(Soprano::Client::DBusQueryResultIterator*)(Soprano::QueryResultIterator*)xptr;
        default: return xptr;
      }
    case 27:   //Soprano::Statement
      switch(to) {
        case 27: return (void*)(Soprano::Statement*)xptr;
        default: return xptr;
      }
    case 28:   //Soprano::StatementIterator
      switch(to) {
        case 28: return (void*)(Soprano::StatementIterator*)xptr;
        case 17: return (void*)(Soprano::Client::DBusStatementIterator*)(Soprano::StatementIterator*)xptr;
        default: return xptr;
      }
    case 29:   //Soprano::StorageModel
      switch(to) {
        case 23: return (void*)(Soprano::Model*)(Soprano::StorageModel*)xptr;
        case 7: return (void*)(QObject*)(Soprano::StorageModel*)xptr;
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::StorageModel*)xptr;
        case 29: return (void*)(Soprano::StorageModel*)xptr;
        case 14: return (void*)(Soprano::Client::DBusModel*)(Soprano::StorageModel*)xptr;
        default: return xptr;
      }
    case 30:   //Soprano::Util::AsyncResult
      switch(to) {
        case 7: return (void*)(QObject*)(Soprano::Util::AsyncResult*)xptr;
        case 22: return (void*)(Soprano::Error::ErrorCache*)(Soprano::Util::AsyncResult*)xptr;
        case 30: return (void*)(Soprano::Util::AsyncResult*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    7, 22, 0,	// 1: QObject, Soprano::Error::ErrorCache
    29, 0,	// 4: Soprano::StorageModel
    25, 0,	// 6: Soprano::NodeIterator
    26, 0,	// 8: Soprano::QueryResultIterator
    28, 0,	// 10: Soprano::StatementIterator
    23, 0,	// 12: Soprano::Model
};

// These are the xenum functions for manipulating enum pointers

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusNodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusQueryResultIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__DBusStatementIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__LocalSocketClient(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__SparqlModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Soprano__Client__TcpClient(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QBool", true, 0, 0, 0, 0, 0 },	//1
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//2
    { "QEvent", true, 0, 0, 0, 0, 0 },	//3
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, 0, Smoke::cf_namespace, 0 },	//4
    { "QHostAddress", true, 0, 0, 0, 0, 0 },	//5
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//6
    { "QObject", true, 0, 0, 0, 0, 0 },	//7
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//8
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//9
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//10
    { "Soprano::Backend", true, 0, 0, 0, 0, 0 },	//11
    { "Soprano::BackendSetting", true, 0, 0, 0, 0, 0 },	//12
    { "Soprano::Client::DBusClient", false, 1, xcall_Soprano__Client__DBusClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::DBusClient) },	//13
    { "Soprano::Client::DBusModel", false, 4, xcall_Soprano__Client__DBusModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::DBusModel) },	//14
    { "Soprano::Client::DBusNodeIterator", false, 6, xcall_Soprano__Client__DBusNodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusNodeIterator) },	//15
    { "Soprano::Client::DBusQueryResultIterator", false, 8, xcall_Soprano__Client__DBusQueryResultIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusQueryResultIterator) },	//16
    { "Soprano::Client::DBusStatementIterator", false, 10, xcall_Soprano__Client__DBusStatementIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Soprano::Client::DBusStatementIterator) },	//17
    { "Soprano::Client::LocalSocketClient", false, 1, xcall_Soprano__Client__LocalSocketClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::LocalSocketClient) },	//18
    { "Soprano::Client::SparqlModel", false, 12, xcall_Soprano__Client__SparqlModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::SparqlModel) },	//19
    { "Soprano::Client::TcpClient", false, 1, xcall_Soprano__Client__TcpClient, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Soprano::Client::TcpClient) },	//20
    { "Soprano::Error::Error", true, 0, 0, 0, 0, 0 },	//21
    { "Soprano::Error::ErrorCache", true, 0, 0, 0, 0, 0 },	//22
    { "Soprano::Model", true, 0, 0, 0, 0, 0 },	//23
    { "Soprano::Node", true, 0, 0, 0, 0, 0 },	//24
    { "Soprano::NodeIterator", true, 0, 0, 0, 0, 0 },	//25
    { "Soprano::QueryResultIterator", true, 0, 0, 0, 0, 0 },	//26
    { "Soprano::Statement", true, 0, 0, 0, 0, 0 },	//27
    { "Soprano::StatementIterator", true, 0, 0, 0, 0, 0 },	//28
    { "Soprano::StorageModel", true, 0, 0, 0, 0, 0 },	//29
    { "Soprano::Util::AsyncResult", true, 0, 0, 0, 0, 0 },	//30
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "QBool", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "QChildEvent*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "QEvent*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "QMetaObject::Call", 6, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QObject*", 7, Smoke::t_class|Smoke::tf_ptr },	//5
    { "QRegExp&", 8, Smoke::t_class|Smoke::tf_ref },	//6
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//7
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//8
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//9
    { "QTextStream&", 9, Smoke::t_class|Smoke::tf_ref },	//10
    { "QTimerEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//14
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//15
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//16
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//17
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//18
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Soprano::BackendFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Soprano::BackendOption", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Soprano::BackendSetting", 12, Smoke::t_class|Smoke::tf_stack },	//86
    { "Soprano::Client::DBusClient*", 13, Smoke::t_class|Smoke::tf_ptr },	//87
    { "Soprano::Client::DBusModel*", 14, Smoke::t_class|Smoke::tf_ptr },	//88
    { "Soprano::Client::DBusNodeIterator*", 15, Smoke::t_class|Smoke::tf_ptr },	//89
    { "Soprano::Client::DBusQueryResultIterator*", 16, Smoke::t_class|Smoke::tf_ptr },	//90
    { "Soprano::Client::DBusStatementIterator*", 17, Smoke::t_class|Smoke::tf_ptr },	//91
    { "Soprano::Client::LocalSocketClient*", 18, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Soprano::Client::SparqlModel*", 19, Smoke::t_class|Smoke::tf_ptr },	//93
    { "Soprano::Client::TcpClient*", 20, Smoke::t_class|Smoke::tf_ptr },	//94
    { "Soprano::Error::Error", 21, Smoke::t_class|Smoke::tf_stack },	//95
    { "Soprano::Error::ErrorCode", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Soprano::Inference::StandardRuleSet", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Soprano::Model*", 23, Smoke::t_class|Smoke::tf_ptr },	//98
    { "Soprano::Node", 24, Smoke::t_class|Smoke::tf_stack },	//99
    { "Soprano::NodeIterator", 25, Smoke::t_class|Smoke::tf_stack },	//100
    { "Soprano::Query::QueryLanguage", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Soprano::QueryResultIterator", 26, Smoke::t_class|Smoke::tf_stack },	//102
    { "Soprano::RdfSerialization", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Soprano::StatementIterator", 28, Smoke::t_class|Smoke::tf_stack },	//104
    { "Soprano::Util::AsyncResult*", 30, Smoke::t_class|Smoke::tf_ptr },	//105
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//106
    { "const QHostAddress&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//107
    { "const QList<Soprano::BackendSetting>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//108
    { "const QMetaObject&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//109
    { "const QMetaObject*", 6, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//110
    { "const QRegExp&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//111
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//112
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//113
    { "const Soprano::Backend*", 11, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//114
    { "const Soprano::Client::DBusNodeIterator&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//115
    { "const Soprano::Client::DBusQueryResultIterator&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//116
    { "const Soprano::Client::DBusStatementIterator&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//117
    { "const Soprano::Node&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//118
    { "const Soprano::Statement&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//119
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//120
    { "const unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack|Smoke::tf_const },	//121
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//122
    { "unsigned short", 0, Smoke::t_ushort|Smoke::tf_stack },	//123
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//124
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//125
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    3, 0,	//1  QEvent*
    5, 3, 0,	//3  QObject*, QEvent*
    11, 0,	//6  QTimerEvent*
    2, 0,	//8  QChildEvent*
    120, 0,	//10  const char*
    120, 120, 0,	//12  const char*, const char*
    120, 120, 122, 0,	//15  const char*, const char*, int
    4, 122, 125, 0,	//19  QMetaObject::Call, int, void**
    112, 5, 0,	//23  const QString&, QObject*
    112, 108, 0,	//26  const QString&, const QList<Soprano::BackendSetting>&
    112, 0,	//29  const QString&
    112, 112, 114, 0,	//31  const QString&, const QString&, const Soprano::Backend*
    106, 0,	//35  bool
    119, 0,	//37  const Soprano::Statement&
    112, 101, 112, 0,	//39  const QString&, Soprano::Query::QueryLanguage, const QString&
    118, 118, 118, 118, 0,	//43  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    112, 112, 0,	//48  const QString&, const QString&
    112, 101, 0,	//51  const QString&, Soprano::Query::QueryLanguage
    118, 118, 118, 0,	//54  const Soprano::Node&, const Soprano::Node&, const Soprano::Node&
    115, 0,	//58  const Soprano::Client::DBusNodeIterator&
    116, 0,	//60  const Soprano::Client::DBusQueryResultIterator&
    117, 0,	//62  const Soprano::Client::DBusStatementIterator&
    5, 0,	//64  QObject*
    112, 123, 112, 112, 0,	//66  const QString&, unsigned short, const QString&, const QString&
    112, 123, 0,	//71  const QString&, unsigned short
    112, 123, 112, 0,	//74  const QString&, unsigned short, const QString&
    107, 122, 0,	//78  const QHostAddress&, int
    107, 0,	//81  const QHostAddress&
    10, 0,	//83  QTextStream&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "DBusClient",	//1
    "DBusClient$",	//2
    "DBusClient$#",	//3
    "DBusModel",	//4
    "DBusModel$$",	//5
    "DBusModel$$#",	//6
    "DBusNodeIterator",	//7
    "DBusNodeIterator#",	//8
    "DBusNodeIterator$$",	//9
    "DBusQueryResultIterator",	//10
    "DBusQueryResultIterator#",	//11
    "DBusQueryResultIterator$$",	//12
    "DBusStatementIterator",	//13
    "DBusStatementIterator#",	//14
    "DBusStatementIterator$$",	//15
    "DEFAULT_PORT",	//16
    "LocalSocketClient",	//17
    "LocalSocketClient#",	//18
    "SparqlModel",	//19
    "SparqlModel$",	//20
    "SparqlModel$$",	//21
    "SparqlModel$$$",	//22
    "SparqlModel$$$$",	//23
    "TcpClient",	//24
    "TcpClient#",	//25
    "addStatement",	//26
    "addStatement#",	//27
    "addStatement###",	//28
    "addStatement####",	//29
    "allModels",	//30
    "asyncCalls",	//31
    "childEvent",	//32
    "connect",	//33
    "connect#",	//34
    "connect#$",	//35
    "connect$",	//36
    "connectNotify",	//37
    "containsAnyStatement",	//38
    "containsAnyStatement#",	//39
    "containsAnyStatement###",	//40
    "containsAnyStatement####",	//41
    "containsStatement",	//42
    "containsStatement#",	//43
    "containsStatement###",	//44
    "containsStatement####",	//45
    "createBlankNode",	//46
    "createModel",	//47
    "createModel$",	//48
    "createModel$?",	//49
    "customEvent",	//50
    "disconnect",	//51
    "disconnectNotify",	//52
    "event",	//53
    "eventFilter",	//54
    "executeQuery",	//55
    "executeQuery$",	//56
    "executeQuery$$",	//57
    "executeQuery$$$",	//58
    "executeQueryAsync",	//59
    "executeQueryAsync$",	//60
    "executeQueryAsync$$",	//61
    "executeQueryAsync$$$",	//62
    "isConnected",	//63
    "isEmpty",	//64
    "isValid",	//65
    "lastError",	//66
    "listContexts",	//67
    "listContextsAsync",	//68
    "listStatements",	//69
    "listStatements#",	//70
    "listStatements###",	//71
    "listStatements####",	//72
    "listStatementsAsync",	//73
    "listStatementsAsync#",	//74
    "metaObject",	//75
    "qt_metacall",	//76
    "qt_metacall$$?",	//77
    "qt_metacast",	//78
    "qt_metacast$",	//79
    "removeAllStatements",	//80
    "removeAllStatements#",	//81
    "removeAllStatements###",	//82
    "removeAllStatements####",	//83
    "removeModel",	//84
    "removeModel$",	//85
    "removeStatement",	//86
    "removeStatement#",	//87
    "removeStatement###",	//88
    "removeStatement####",	//89
    "setAsyncCalls",	//90
    "setAsyncCalls$",	//91
    "setHost",	//92
    "setHost$",	//93
    "setHost$$",	//94
    "setPath",	//95
    "setPath$",	//96
    "setUser",	//97
    "setUser$",	//98
    "setUser$$",	//99
    "statementCount",	//100
    "staticMetaObject",	//101
    "timerEvent",	//102
    "tr",	//103
    "tr$",	//104
    "tr$$",	//105
    "tr$$$",	//106
    "trUtf8",	//107
    "trUtf8$",	//108
    "trUtf8$$",	//109
    "trUtf8$$$",	//110
    "write",	//111
    "~DBusClient",	//112
    "~DBusModel",	//113
    "~DBusNodeIterator",	//114
    "~DBusQueryResultIterator",	//115
    "~DBusStatementIterator",	//116
    "~LocalSocketClient",	//117
    "~SparqlModel",	//118
    "~TcpClient",	//119
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {7, 53, 1, 1, Smoke::mf_virtual, 106, 0},	//1 QObject::event(QEvent*)
    {7, 54, 3, 2, Smoke::mf_virtual, 106, 0},	//2 QObject::eventFilter(QObject*, QEvent*)
    {7, 102, 6, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3 QObject::timerEvent(QTimerEvent*)
    {7, 32, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//4 QObject::childEvent(QChildEvent*)
    {7, 50, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//5 QObject::customEvent(QEvent*)
    {7, 37, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//6 QObject::connectNotify(const char*)
    {7, 52, 10, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//7 QObject::disconnectNotify(const char*)
    {13, 75, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 1},	//8 Soprano::Client::DBusClient::metaObject() const
    {13, 78, 10, 1, Smoke::mf_virtual, 124, 2},	//9 Soprano::Client::DBusClient::qt_metacast(const char*)
    {13, 103, 12, 2, Smoke::mf_static, 7, 3},	//10 Soprano::Client::DBusClient::tr(const char*, const char*)
    {13, 107, 12, 2, Smoke::mf_static, 7, 4},	//11 Soprano::Client::DBusClient::trUtf8(const char*, const char*)
    {13, 103, 15, 3, Smoke::mf_static, 7, 5},	//12 Soprano::Client::DBusClient::tr(const char*, const char*, int)
    {13, 107, 15, 3, Smoke::mf_static, 7, 6},	//13 Soprano::Client::DBusClient::trUtf8(const char*, const char*, int)
    {13, 76, 19, 3, Smoke::mf_virtual, 122, 7},	//14 Soprano::Client::DBusClient::qt_metacall(QMetaObject::Call, int, void**)
    {13, 1, 23, 2, Smoke::mf_ctor, 87, 8},	//15 Soprano::Client::DBusClient::DBusClient(const QString&, QObject*)
    {13, 65, 0, 0, Smoke::mf_const, 106, 9},	//16 Soprano::Client::DBusClient::isValid() const
    {13, 30, 0, 0, Smoke::mf_const, 8, 10},	//17 Soprano::Client::DBusClient::allModels() const
    {13, 47, 26, 2, 0, 88, 11},	//18 Soprano::Client::DBusClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {13, 84, 29, 1, 0, 0, 12},	//19 Soprano::Client::DBusClient::removeModel(const QString&)
    {13, 103, 10, 1, Smoke::mf_static, 7, 13},	//20 Soprano::Client::DBusClient::tr(const char*)
    {13, 107, 10, 1, Smoke::mf_static, 7, 14},	//21 Soprano::Client::DBusClient::trUtf8(const char*)
    {13, 1, 0, 0, Smoke::mf_ctor, 87, 15},	//22 Soprano::Client::DBusClient::DBusClient()
    {13, 1, 29, 1, Smoke::mf_ctor, 87, 16},	//23 Soprano::Client::DBusClient::DBusClient(const QString&)
    {13, 47, 29, 1, 0, 88, 17},	//24 Soprano::Client::DBusClient::createModel(const QString&)
    {13, 101, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 109, 18},	//25 Soprano::Client::DBusClient::staticMetaObject() const
    {13, 112, 0, 0, Smoke::mf_dtor, 0, 19 },	//26 Soprano::Client::DBusClient::~DBusClient()
    {14, 75, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 1},	//27 Soprano::Client::DBusModel::metaObject() const
    {14, 78, 10, 1, Smoke::mf_virtual, 124, 2},	//28 Soprano::Client::DBusModel::qt_metacast(const char*)
    {14, 103, 12, 2, Smoke::mf_static, 7, 3},	//29 Soprano::Client::DBusModel::tr(const char*, const char*)
    {14, 107, 12, 2, Smoke::mf_static, 7, 4},	//30 Soprano::Client::DBusModel::trUtf8(const char*, const char*)
    {14, 103, 15, 3, Smoke::mf_static, 7, 5},	//31 Soprano::Client::DBusModel::tr(const char*, const char*, int)
    {14, 107, 15, 3, Smoke::mf_static, 7, 6},	//32 Soprano::Client::DBusModel::trUtf8(const char*, const char*, int)
    {14, 76, 19, 3, Smoke::mf_virtual, 122, 7},	//33 Soprano::Client::DBusModel::qt_metacall(QMetaObject::Call, int, void**)
    {14, 4, 31, 3, Smoke::mf_ctor, 88, 8},	//34 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&, const Soprano::Backend*)
    {14, 90, 35, 1, 0, 0, 9},	//35 Soprano::Client::DBusModel::setAsyncCalls(bool)
    {14, 31, 0, 0, Smoke::mf_const, 106, 10},	//36 Soprano::Client::DBusModel::asyncCalls() const
    {14, 26, 37, 1, Smoke::mf_virtual, 96, 11},	//37 Soprano::Client::DBusModel::addStatement(const Soprano::Statement&)
    {14, 67, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 12},	//38 Soprano::Client::DBusModel::listContexts() const
    {14, 55, 39, 3, Smoke::mf_const|Smoke::mf_virtual, 102, 13},	//39 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {14, 69, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 14},	//40 Soprano::Client::DBusModel::listStatements(const Soprano::Statement&) const
    {14, 86, 37, 1, Smoke::mf_virtual, 96, 15},	//41 Soprano::Client::DBusModel::removeStatement(const Soprano::Statement&)
    {14, 80, 37, 1, Smoke::mf_virtual, 96, 16},	//42 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Statement&)
    {14, 100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 17},	//43 Soprano::Client::DBusModel::statementCount() const
    {14, 64, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 106, 18},	//44 Soprano::Client::DBusModel::isEmpty() const
    {14, 42, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 106, 19},	//45 Soprano::Client::DBusModel::containsStatement(const Soprano::Statement&) const
    {14, 38, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 106, 20},	//46 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Statement&) const
    {14, 46, 0, 0, Smoke::mf_virtual, 99, 21},	//47 Soprano::Client::DBusModel::createBlankNode()
    {14, 80, 43, 4, 0, 96, 22},	//48 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {14, 80, 0, 0, 0, 96, 23},	//49 Soprano::Client::DBusModel::removeAllStatements()
    {14, 42, 43, 4, Smoke::mf_const, 106, 24},	//50 Soprano::Client::DBusModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {14, 38, 43, 4, Smoke::mf_const, 106, 25},	//51 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {14, 103, 10, 1, Smoke::mf_static, 7, 26},	//52 Soprano::Client::DBusModel::tr(const char*)
    {14, 107, 10, 1, Smoke::mf_static, 7, 27},	//53 Soprano::Client::DBusModel::trUtf8(const char*)
    {14, 4, 48, 2, Smoke::mf_ctor, 88, 28},	//54 Soprano::Client::DBusModel::DBusModel(const QString&, const QString&)
    {14, 55, 51, 2, Smoke::mf_const, 102, 29},	//55 Soprano::Client::DBusModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {14, 80, 54, 3, 0, 96, 30},	//56 Soprano::Client::DBusModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {14, 42, 54, 3, Smoke::mf_const, 106, 31},	//57 Soprano::Client::DBusModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {14, 38, 54, 3, Smoke::mf_const, 106, 32},	//58 Soprano::Client::DBusModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {14, 101, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 109, 33},	//59 Soprano::Client::DBusModel::staticMetaObject() const
    {14, 113, 0, 0, Smoke::mf_dtor, 0, 34 },	//60 Soprano::Client::DBusModel::~DBusModel()
    {15, 7, 48, 2, Smoke::mf_ctor, 89, 1},	//61 Soprano::Client::DBusNodeIterator::DBusNodeIterator(const QString&, const QString&)
    {15, 7, 58, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 89, 2},	//62 Soprano::Client::DBusNodeIterator::DBusNodeIterator(const Soprano::Client::DBusNodeIterator&)
    {15, 114, 0, 0, Smoke::mf_dtor, 0, 3 },	//63 Soprano::Client::DBusNodeIterator::~DBusNodeIterator()
    {16, 10, 48, 2, Smoke::mf_ctor, 90, 1},	//64 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator(const QString&, const QString&)
    {16, 10, 60, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 90, 2},	//65 Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator(const Soprano::Client::DBusQueryResultIterator&)
    {16, 115, 0, 0, Smoke::mf_dtor, 0, 3 },	//66 Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator()
    {17, 13, 48, 2, Smoke::mf_ctor, 91, 1},	//67 Soprano::Client::DBusStatementIterator::DBusStatementIterator(const QString&, const QString&)
    {17, 13, 62, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 91, 2},	//68 Soprano::Client::DBusStatementIterator::DBusStatementIterator(const Soprano::Client::DBusStatementIterator&)
    {17, 116, 0, 0, Smoke::mf_dtor, 0, 3 },	//69 Soprano::Client::DBusStatementIterator::~DBusStatementIterator()
    {18, 75, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 1},	//70 Soprano::Client::LocalSocketClient::metaObject() const
    {18, 78, 10, 1, Smoke::mf_virtual, 124, 2},	//71 Soprano::Client::LocalSocketClient::qt_metacast(const char*)
    {18, 103, 12, 2, Smoke::mf_static, 7, 3},	//72 Soprano::Client::LocalSocketClient::tr(const char*, const char*)
    {18, 107, 12, 2, Smoke::mf_static, 7, 4},	//73 Soprano::Client::LocalSocketClient::trUtf8(const char*, const char*)
    {18, 103, 15, 3, Smoke::mf_static, 7, 5},	//74 Soprano::Client::LocalSocketClient::tr(const char*, const char*, int)
    {18, 107, 15, 3, Smoke::mf_static, 7, 6},	//75 Soprano::Client::LocalSocketClient::trUtf8(const char*, const char*, int)
    {18, 76, 19, 3, Smoke::mf_virtual, 122, 7},	//76 Soprano::Client::LocalSocketClient::qt_metacall(QMetaObject::Call, int, void**)
    {18, 17, 64, 1, Smoke::mf_ctor, 92, 8},	//77 Soprano::Client::LocalSocketClient::LocalSocketClient(QObject*)
    {18, 63, 0, 0, Smoke::mf_const, 106, 9},	//78 Soprano::Client::LocalSocketClient::isConnected() const
    {18, 47, 26, 2, 0, 98, 10},	//79 Soprano::Client::LocalSocketClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {18, 84, 29, 1, 0, 0, 11},	//80 Soprano::Client::LocalSocketClient::removeModel(const QString&)
    {18, 33, 29, 1, Smoke::mf_slot, 106, 12},	//81 Soprano::Client::LocalSocketClient::connect(const QString&)
    {18, 51, 0, 0, Smoke::mf_slot, 0, 13},	//82 Soprano::Client::LocalSocketClient::disconnect()
    {18, 103, 10, 1, Smoke::mf_static, 7, 14},	//83 Soprano::Client::LocalSocketClient::tr(const char*)
    {18, 107, 10, 1, Smoke::mf_static, 7, 15},	//84 Soprano::Client::LocalSocketClient::trUtf8(const char*)
    {18, 17, 0, 0, Smoke::mf_ctor, 92, 16},	//85 Soprano::Client::LocalSocketClient::LocalSocketClient()
    {18, 47, 29, 1, 0, 98, 17},	//86 Soprano::Client::LocalSocketClient::createModel(const QString&)
    {18, 33, 0, 0, Smoke::mf_slot, 106, 18},	//87 Soprano::Client::LocalSocketClient::connect()
    {18, 101, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 109, 19},	//88 Soprano::Client::LocalSocketClient::staticMetaObject() const
    {18, 117, 0, 0, Smoke::mf_dtor, 0, 20 },	//89 Soprano::Client::LocalSocketClient::~LocalSocketClient()
    {19, 75, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 1},	//90 Soprano::Client::SparqlModel::metaObject() const
    {19, 78, 10, 1, Smoke::mf_virtual, 124, 2},	//91 Soprano::Client::SparqlModel::qt_metacast(const char*)
    {19, 103, 12, 2, Smoke::mf_static, 7, 3},	//92 Soprano::Client::SparqlModel::tr(const char*, const char*)
    {19, 107, 12, 2, Smoke::mf_static, 7, 4},	//93 Soprano::Client::SparqlModel::trUtf8(const char*, const char*)
    {19, 103, 15, 3, Smoke::mf_static, 7, 5},	//94 Soprano::Client::SparqlModel::tr(const char*, const char*, int)
    {19, 107, 15, 3, Smoke::mf_static, 7, 6},	//95 Soprano::Client::SparqlModel::trUtf8(const char*, const char*, int)
    {19, 76, 19, 3, Smoke::mf_virtual, 122, 7},	//96 Soprano::Client::SparqlModel::qt_metacall(QMetaObject::Call, int, void**)
    {19, 19, 66, 4, Smoke::mf_ctor, 93, 8},	//97 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short, const QString&, const QString&)
    {19, 92, 71, 2, 0, 0, 9},	//98 Soprano::Client::SparqlModel::setHost(const QString&, unsigned short)
    {19, 97, 48, 2, 0, 0, 10},	//99 Soprano::Client::SparqlModel::setUser(const QString&, const QString&)
    {19, 95, 29, 1, 0, 0, 11},	//100 Soprano::Client::SparqlModel::setPath(const QString&)
    {19, 26, 37, 1, Smoke::mf_virtual, 96, 12},	//101 Soprano::Client::SparqlModel::addStatement(const Soprano::Statement&)
    {19, 86, 37, 1, Smoke::mf_virtual, 96, 13},	//102 Soprano::Client::SparqlModel::removeStatement(const Soprano::Statement&)
    {19, 80, 37, 1, Smoke::mf_virtual, 96, 14},	//103 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Statement&)
    {19, 69, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 104, 15},	//104 Soprano::Client::SparqlModel::listStatements(const Soprano::Statement&) const
    {19, 73, 37, 1, Smoke::mf_const, 105, 16},	//105 Soprano::Client::SparqlModel::listStatementsAsync(const Soprano::Statement&) const
    {19, 55, 39, 3, Smoke::mf_const|Smoke::mf_virtual, 102, 17},	//106 Soprano::Client::SparqlModel::executeQuery(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {19, 59, 39, 3, Smoke::mf_const, 105, 18},	//107 Soprano::Client::SparqlModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage, const QString&) const
    {19, 67, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 100, 19},	//108 Soprano::Client::SparqlModel::listContexts() const
    {19, 68, 0, 0, Smoke::mf_const, 105, 20},	//109 Soprano::Client::SparqlModel::listContextsAsync() const
    {19, 42, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 106, 21},	//110 Soprano::Client::SparqlModel::containsStatement(const Soprano::Statement&) const
    {19, 38, 37, 1, Smoke::mf_const|Smoke::mf_virtual, 106, 22},	//111 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Statement&) const
    {19, 100, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 23},	//112 Soprano::Client::SparqlModel::statementCount() const
    {19, 64, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 106, 24},	//113 Soprano::Client::SparqlModel::isEmpty() const
    {19, 46, 0, 0, Smoke::mf_virtual, 99, 25},	//114 Soprano::Client::SparqlModel::createBlankNode()
    {19, 26, 43, 4, 0, 96, 26},	//115 Soprano::Client::SparqlModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {19, 86, 43, 4, 0, 96, 27},	//116 Soprano::Client::SparqlModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {19, 80, 43, 4, 0, 96, 28},	//117 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {19, 80, 0, 0, 0, 96, 29},	//118 Soprano::Client::SparqlModel::removeAllStatements()
    {19, 69, 43, 4, Smoke::mf_const, 104, 30},	//119 Soprano::Client::SparqlModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {19, 69, 0, 0, Smoke::mf_const, 104, 31},	//120 Soprano::Client::SparqlModel::listStatements() const
    {19, 42, 43, 4, Smoke::mf_const, 106, 32},	//121 Soprano::Client::SparqlModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {19, 38, 43, 4, Smoke::mf_const, 106, 33},	//122 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {19, 103, 10, 1, Smoke::mf_static, 7, 34},	//123 Soprano::Client::SparqlModel::tr(const char*)
    {19, 107, 10, 1, Smoke::mf_static, 7, 35},	//124 Soprano::Client::SparqlModel::trUtf8(const char*)
    {19, 19, 0, 0, Smoke::mf_ctor, 93, 36},	//125 Soprano::Client::SparqlModel::SparqlModel()
    {19, 19, 29, 1, Smoke::mf_ctor, 93, 37},	//126 Soprano::Client::SparqlModel::SparqlModel(const QString&)
    {19, 19, 71, 2, Smoke::mf_ctor, 93, 38},	//127 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short)
    {19, 19, 74, 3, Smoke::mf_ctor, 93, 39},	//128 Soprano::Client::SparqlModel::SparqlModel(const QString&, unsigned short, const QString&)
    {19, 92, 29, 1, 0, 0, 40},	//129 Soprano::Client::SparqlModel::setHost(const QString&)
    {19, 97, 29, 1, 0, 0, 41},	//130 Soprano::Client::SparqlModel::setUser(const QString&)
    {19, 55, 29, 1, Smoke::mf_const, 102, 42},	//131 Soprano::Client::SparqlModel::executeQuery(const QString&) const
    {19, 55, 51, 2, Smoke::mf_const, 102, 43},	//132 Soprano::Client::SparqlModel::executeQuery(const QString&, Soprano::Query::QueryLanguage) const
    {19, 59, 29, 1, Smoke::mf_const, 105, 44},	//133 Soprano::Client::SparqlModel::executeQueryAsync(const QString&) const
    {19, 59, 51, 2, Smoke::mf_const, 105, 45},	//134 Soprano::Client::SparqlModel::executeQueryAsync(const QString&, Soprano::Query::QueryLanguage) const
    {19, 26, 54, 3, 0, 96, 46},	//135 Soprano::Client::SparqlModel::addStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {19, 86, 54, 3, 0, 96, 47},	//136 Soprano::Client::SparqlModel::removeStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {19, 80, 54, 3, 0, 96, 48},	//137 Soprano::Client::SparqlModel::removeAllStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&)
    {19, 69, 54, 3, Smoke::mf_const, 104, 49},	//138 Soprano::Client::SparqlModel::listStatements(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {19, 42, 54, 3, Smoke::mf_const, 106, 50},	//139 Soprano::Client::SparqlModel::containsStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {19, 38, 54, 3, Smoke::mf_const, 106, 51},	//140 Soprano::Client::SparqlModel::containsAnyStatement(const Soprano::Node&, const Soprano::Node&, const Soprano::Node&) const
    {19, 101, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 109, 52},	//141 Soprano::Client::SparqlModel::staticMetaObject() const
    {19, 118, 0, 0, Smoke::mf_dtor, 0, 53 },	//142 Soprano::Client::SparqlModel::~SparqlModel()
    {20, 75, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 110, 1},	//143 Soprano::Client::TcpClient::metaObject() const
    {20, 78, 10, 1, Smoke::mf_virtual, 124, 2},	//144 Soprano::Client::TcpClient::qt_metacast(const char*)
    {20, 103, 12, 2, Smoke::mf_static, 7, 3},	//145 Soprano::Client::TcpClient::tr(const char*, const char*)
    {20, 107, 12, 2, Smoke::mf_static, 7, 4},	//146 Soprano::Client::TcpClient::trUtf8(const char*, const char*)
    {20, 103, 15, 3, Smoke::mf_static, 7, 5},	//147 Soprano::Client::TcpClient::tr(const char*, const char*, int)
    {20, 107, 15, 3, Smoke::mf_static, 7, 6},	//148 Soprano::Client::TcpClient::trUtf8(const char*, const char*, int)
    {20, 76, 19, 3, Smoke::mf_virtual, 122, 7},	//149 Soprano::Client::TcpClient::qt_metacall(QMetaObject::Call, int, void**)
    {20, 24, 64, 1, Smoke::mf_ctor, 94, 8},	//150 Soprano::Client::TcpClient::TcpClient(QObject*)
    {20, 33, 78, 2, 0, 106, 9},	//151 Soprano::Client::TcpClient::connect(const QHostAddress&, int)
    {20, 63, 0, 0, 0, 106, 10},	//152 Soprano::Client::TcpClient::isConnected()
    {20, 51, 0, 0, 0, 0, 11},	//153 Soprano::Client::TcpClient::disconnect()
    {20, 47, 26, 2, 0, 98, 12},	//154 Soprano::Client::TcpClient::createModel(const QString&, const QList<Soprano::BackendSetting>&)
    {20, 84, 29, 1, 0, 0, 13},	//155 Soprano::Client::TcpClient::removeModel(const QString&)
    {20, 103, 10, 1, Smoke::mf_static, 7, 14},	//156 Soprano::Client::TcpClient::tr(const char*)
    {20, 107, 10, 1, Smoke::mf_static, 7, 15},	//157 Soprano::Client::TcpClient::trUtf8(const char*)
    {20, 24, 0, 0, Smoke::mf_ctor, 94, 16},	//158 Soprano::Client::TcpClient::TcpClient()
    {20, 33, 0, 0, 0, 106, 17},	//159 Soprano::Client::TcpClient::connect()
    {20, 33, 81, 1, 0, 106, 18},	//160 Soprano::Client::TcpClient::connect(const QHostAddress&)
    {20, 47, 29, 1, 0, 98, 19},	//161 Soprano::Client::TcpClient::createModel(const QString&)
    {20, 101, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 109, 20},	//162 Soprano::Client::TcpClient::staticMetaObject() const
    {20, 16, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 121, 21},	//163 Soprano::Client::TcpClient::DEFAULT_PORT() const
    {20, 119, 0, 0, Smoke::mf_dtor, 0, 22 },	//164 Soprano::Client::TcpClient::~TcpClient()
    {22, 66, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 95, 0},	//165 Soprano::Error::ErrorCache::lastError() const
    {23, 111, 83, 1, Smoke::mf_const|Smoke::mf_virtual, 96, 0},	//166 Soprano::Model::write(QTextStream&) const
};

static Smoke::Index ambiguousMethodList[] = {
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {13, 1, 22},	// Soprano::Client::DBusClient::DBusClient
    {13, 2, 23},	// Soprano::Client::DBusClient::DBusClient$
    {13, 3, 15},	// Soprano::Client::DBusClient::DBusClient$#
    {13, 30, 17},	// Soprano::Client::DBusClient::allModels
    {13, 48, 24},	// Soprano::Client::DBusClient::createModel$
    {13, 49, 18},	// Soprano::Client::DBusClient::createModel$?
    {13, 65, 16},	// Soprano::Client::DBusClient::isValid
    {13, 75, 8},	// Soprano::Client::DBusClient::metaObject
    {13, 77, 14},	// Soprano::Client::DBusClient::qt_metacall$$?
    {13, 79, 9},	// Soprano::Client::DBusClient::qt_metacast$
    {13, 85, 19},	// Soprano::Client::DBusClient::removeModel$
    {13, 101, 25},	// Soprano::Client::DBusClient::staticMetaObject
    {13, 104, 20},	// Soprano::Client::DBusClient::tr$
    {13, 105, 10},	// Soprano::Client::DBusClient::tr$$
    {13, 106, 12},	// Soprano::Client::DBusClient::tr$$$
    {13, 108, 21},	// Soprano::Client::DBusClient::trUtf8$
    {13, 109, 11},	// Soprano::Client::DBusClient::trUtf8$$
    {13, 110, 13},	// Soprano::Client::DBusClient::trUtf8$$$
    {13, 112, 26},	// Soprano::Client::DBusClient::~DBusClient
    {14, 5, 54},	// Soprano::Client::DBusModel::DBusModel$$
    {14, 6, 34},	// Soprano::Client::DBusModel::DBusModel$$#
    {14, 27, 37},	// Soprano::Client::DBusModel::addStatement#
    {14, 31, 36},	// Soprano::Client::DBusModel::asyncCalls
    {14, 39, 46},	// Soprano::Client::DBusModel::containsAnyStatement#
    {14, 40, 58},	// Soprano::Client::DBusModel::containsAnyStatement###
    {14, 41, 51},	// Soprano::Client::DBusModel::containsAnyStatement####
    {14, 43, 45},	// Soprano::Client::DBusModel::containsStatement#
    {14, 44, 57},	// Soprano::Client::DBusModel::containsStatement###
    {14, 45, 50},	// Soprano::Client::DBusModel::containsStatement####
    {14, 46, 47},	// Soprano::Client::DBusModel::createBlankNode
    {14, 57, 55},	// Soprano::Client::DBusModel::executeQuery$$
    {14, 58, 39},	// Soprano::Client::DBusModel::executeQuery$$$
    {14, 64, 44},	// Soprano::Client::DBusModel::isEmpty
    {14, 67, 38},	// Soprano::Client::DBusModel::listContexts
    {14, 70, 40},	// Soprano::Client::DBusModel::listStatements#
    {14, 75, 27},	// Soprano::Client::DBusModel::metaObject
    {14, 77, 33},	// Soprano::Client::DBusModel::qt_metacall$$?
    {14, 79, 28},	// Soprano::Client::DBusModel::qt_metacast$
    {14, 80, 49},	// Soprano::Client::DBusModel::removeAllStatements
    {14, 81, 42},	// Soprano::Client::DBusModel::removeAllStatements#
    {14, 82, 56},	// Soprano::Client::DBusModel::removeAllStatements###
    {14, 83, 48},	// Soprano::Client::DBusModel::removeAllStatements####
    {14, 87, 41},	// Soprano::Client::DBusModel::removeStatement#
    {14, 91, 35},	// Soprano::Client::DBusModel::setAsyncCalls$
    {14, 100, 43},	// Soprano::Client::DBusModel::statementCount
    {14, 101, 59},	// Soprano::Client::DBusModel::staticMetaObject
    {14, 104, 52},	// Soprano::Client::DBusModel::tr$
    {14, 105, 29},	// Soprano::Client::DBusModel::tr$$
    {14, 106, 31},	// Soprano::Client::DBusModel::tr$$$
    {14, 108, 53},	// Soprano::Client::DBusModel::trUtf8$
    {14, 109, 30},	// Soprano::Client::DBusModel::trUtf8$$
    {14, 110, 32},	// Soprano::Client::DBusModel::trUtf8$$$
    {14, 113, 60},	// Soprano::Client::DBusModel::~DBusModel
    {15, 8, 62},	// Soprano::Client::DBusNodeIterator::DBusNodeIterator#
    {15, 9, 61},	// Soprano::Client::DBusNodeIterator::DBusNodeIterator$$
    {15, 114, 63},	// Soprano::Client::DBusNodeIterator::~DBusNodeIterator
    {16, 11, 65},	// Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator#
    {16, 12, 64},	// Soprano::Client::DBusQueryResultIterator::DBusQueryResultIterator$$
    {16, 115, 66},	// Soprano::Client::DBusQueryResultIterator::~DBusQueryResultIterator
    {17, 14, 68},	// Soprano::Client::DBusStatementIterator::DBusStatementIterator#
    {17, 15, 67},	// Soprano::Client::DBusStatementIterator::DBusStatementIterator$$
    {17, 116, 69},	// Soprano::Client::DBusStatementIterator::~DBusStatementIterator
    {18, 17, 85},	// Soprano::Client::LocalSocketClient::LocalSocketClient
    {18, 18, 77},	// Soprano::Client::LocalSocketClient::LocalSocketClient#
    {18, 33, 87},	// Soprano::Client::LocalSocketClient::connect
    {18, 36, 81},	// Soprano::Client::LocalSocketClient::connect$
    {18, 48, 86},	// Soprano::Client::LocalSocketClient::createModel$
    {18, 49, 79},	// Soprano::Client::LocalSocketClient::createModel$?
    {18, 51, 82},	// Soprano::Client::LocalSocketClient::disconnect
    {18, 63, 78},	// Soprano::Client::LocalSocketClient::isConnected
    {18, 75, 70},	// Soprano::Client::LocalSocketClient::metaObject
    {18, 77, 76},	// Soprano::Client::LocalSocketClient::qt_metacall$$?
    {18, 79, 71},	// Soprano::Client::LocalSocketClient::qt_metacast$
    {18, 85, 80},	// Soprano::Client::LocalSocketClient::removeModel$
    {18, 101, 88},	// Soprano::Client::LocalSocketClient::staticMetaObject
    {18, 104, 83},	// Soprano::Client::LocalSocketClient::tr$
    {18, 105, 72},	// Soprano::Client::LocalSocketClient::tr$$
    {18, 106, 74},	// Soprano::Client::LocalSocketClient::tr$$$
    {18, 108, 84},	// Soprano::Client::LocalSocketClient::trUtf8$
    {18, 109, 73},	// Soprano::Client::LocalSocketClient::trUtf8$$
    {18, 110, 75},	// Soprano::Client::LocalSocketClient::trUtf8$$$
    {18, 117, 89},	// Soprano::Client::LocalSocketClient::~LocalSocketClient
    {19, 19, 125},	// Soprano::Client::SparqlModel::SparqlModel
    {19, 20, 126},	// Soprano::Client::SparqlModel::SparqlModel$
    {19, 21, 127},	// Soprano::Client::SparqlModel::SparqlModel$$
    {19, 22, 128},	// Soprano::Client::SparqlModel::SparqlModel$$$
    {19, 23, 97},	// Soprano::Client::SparqlModel::SparqlModel$$$$
    {19, 27, 101},	// Soprano::Client::SparqlModel::addStatement#
    {19, 28, 135},	// Soprano::Client::SparqlModel::addStatement###
    {19, 29, 115},	// Soprano::Client::SparqlModel::addStatement####
    {19, 39, 111},	// Soprano::Client::SparqlModel::containsAnyStatement#
    {19, 40, 140},	// Soprano::Client::SparqlModel::containsAnyStatement###
    {19, 41, 122},	// Soprano::Client::SparqlModel::containsAnyStatement####
    {19, 43, 110},	// Soprano::Client::SparqlModel::containsStatement#
    {19, 44, 139},	// Soprano::Client::SparqlModel::containsStatement###
    {19, 45, 121},	// Soprano::Client::SparqlModel::containsStatement####
    {19, 46, 114},	// Soprano::Client::SparqlModel::createBlankNode
    {19, 56, 131},	// Soprano::Client::SparqlModel::executeQuery$
    {19, 57, 132},	// Soprano::Client::SparqlModel::executeQuery$$
    {19, 58, 106},	// Soprano::Client::SparqlModel::executeQuery$$$
    {19, 60, 133},	// Soprano::Client::SparqlModel::executeQueryAsync$
    {19, 61, 134},	// Soprano::Client::SparqlModel::executeQueryAsync$$
    {19, 62, 107},	// Soprano::Client::SparqlModel::executeQueryAsync$$$
    {19, 64, 113},	// Soprano::Client::SparqlModel::isEmpty
    {19, 67, 108},	// Soprano::Client::SparqlModel::listContexts
    {19, 68, 109},	// Soprano::Client::SparqlModel::listContextsAsync
    {19, 69, 120},	// Soprano::Client::SparqlModel::listStatements
    {19, 70, 104},	// Soprano::Client::SparqlModel::listStatements#
    {19, 71, 138},	// Soprano::Client::SparqlModel::listStatements###
    {19, 72, 119},	// Soprano::Client::SparqlModel::listStatements####
    {19, 74, 105},	// Soprano::Client::SparqlModel::listStatementsAsync#
    {19, 75, 90},	// Soprano::Client::SparqlModel::metaObject
    {19, 77, 96},	// Soprano::Client::SparqlModel::qt_metacall$$?
    {19, 79, 91},	// Soprano::Client::SparqlModel::qt_metacast$
    {19, 80, 118},	// Soprano::Client::SparqlModel::removeAllStatements
    {19, 81, 103},	// Soprano::Client::SparqlModel::removeAllStatements#
    {19, 82, 137},	// Soprano::Client::SparqlModel::removeAllStatements###
    {19, 83, 117},	// Soprano::Client::SparqlModel::removeAllStatements####
    {19, 87, 102},	// Soprano::Client::SparqlModel::removeStatement#
    {19, 88, 136},	// Soprano::Client::SparqlModel::removeStatement###
    {19, 89, 116},	// Soprano::Client::SparqlModel::removeStatement####
    {19, 93, 129},	// Soprano::Client::SparqlModel::setHost$
    {19, 94, 98},	// Soprano::Client::SparqlModel::setHost$$
    {19, 96, 100},	// Soprano::Client::SparqlModel::setPath$
    {19, 98, 130},	// Soprano::Client::SparqlModel::setUser$
    {19, 99, 99},	// Soprano::Client::SparqlModel::setUser$$
    {19, 100, 112},	// Soprano::Client::SparqlModel::statementCount
    {19, 101, 141},	// Soprano::Client::SparqlModel::staticMetaObject
    {19, 104, 123},	// Soprano::Client::SparqlModel::tr$
    {19, 105, 92},	// Soprano::Client::SparqlModel::tr$$
    {19, 106, 94},	// Soprano::Client::SparqlModel::tr$$$
    {19, 108, 124},	// Soprano::Client::SparqlModel::trUtf8$
    {19, 109, 93},	// Soprano::Client::SparqlModel::trUtf8$$
    {19, 110, 95},	// Soprano::Client::SparqlModel::trUtf8$$$
    {19, 118, 142},	// Soprano::Client::SparqlModel::~SparqlModel
    {20, 16, 163},	// Soprano::Client::TcpClient::DEFAULT_PORT
    {20, 24, 158},	// Soprano::Client::TcpClient::TcpClient
    {20, 25, 150},	// Soprano::Client::TcpClient::TcpClient#
    {20, 33, 159},	// Soprano::Client::TcpClient::connect
    {20, 34, 160},	// Soprano::Client::TcpClient::connect#
    {20, 35, 151},	// Soprano::Client::TcpClient::connect#$
    {20, 48, 161},	// Soprano::Client::TcpClient::createModel$
    {20, 49, 154},	// Soprano::Client::TcpClient::createModel$?
    {20, 51, 153},	// Soprano::Client::TcpClient::disconnect
    {20, 63, 152},	// Soprano::Client::TcpClient::isConnected
    {20, 75, 143},	// Soprano::Client::TcpClient::metaObject
    {20, 77, 149},	// Soprano::Client::TcpClient::qt_metacall$$?
    {20, 79, 144},	// Soprano::Client::TcpClient::qt_metacast$
    {20, 85, 155},	// Soprano::Client::TcpClient::removeModel$
    {20, 101, 162},	// Soprano::Client::TcpClient::staticMetaObject
    {20, 104, 156},	// Soprano::Client::TcpClient::tr$
    {20, 105, 145},	// Soprano::Client::TcpClient::tr$$
    {20, 106, 147},	// Soprano::Client::TcpClient::tr$$$
    {20, 108, 157},	// Soprano::Client::TcpClient::trUtf8$
    {20, 109, 146},	// Soprano::Client::TcpClient::trUtf8$$
    {20, 110, 148},	// Soprano::Client::TcpClient::trUtf8$$$
    {20, 119, 164},	// Soprano::Client::TcpClient::~TcpClient
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_soprano_Smoke();

static bool initialized = false;
Smoke *sopranoclient_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_sopranoclient_Smoke() {
    init_qtcore_Smoke();
    init_soprano_Smoke();
    if (initialized) return;
    sopranoclient_Smoke = new Smoke(
        "sopranoclient",
        __smokesopranoclient::classes, 30,
        __smokesopranoclient::methods, 167,
        __smokesopranoclient::methodMaps, 158,
        __smokesopranoclient::methodNames, 119,
        __smokesopranoclient::types, 125,
        __smokesopranoclient::inheritanceList,
        __smokesopranoclient::argumentList,
        __smokesopranoclient::ambiguousMethodList,
        __smokesopranoclient::cast );
    initialized = true;
}

void delete_sopranoclient_Smoke() { delete sopranoclient_Smoke; }

}
